Subject: bug#67527: 30.0.50; FR: Add an option to disable ispell completion in text-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Jan 2024 12:56:33 +0200

> From: Daniel Mendler <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Sat, 20 Jan 2024 11:33:47 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Daniel Mendler <[email-masked]>
> >> Cc: Eason Huang <[email-masked]>,  Eshel Yaron <[email-masked]>,
> >>   [email-masked],  [email-masked]
> >> Date: Sat, 20 Jan 2024 10:46:00 +0100
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> > Eshel, given this feedback, I think it would make sense to add a new
> >> > defcustom that would make text-mode avoid adding
> >> > ispell-completion-at-point to completion-at-point-functions.  Would
> >> > you please submit such a change and the documentation changes to go
> >> > with it?  TIA.
> >> 
> >> Maybe the existing defcustom `text-mode-meta-tab-ispell-complete-word'
> >> could be renamed and reused, taking three values? This way we avoid
> >> introducing multiple defcustoms for tweaking the same feature.
> >> 
> >> - `command': Bind `ispell-complete-word' to TAB.
> >> - `capf': Add `ispell-completion-at-point' to the
> >>   `completion-at-point-functions'.
> >> - `nil': None of the above.
> >
> > Reused, yes.  Renamed, I'd rather prefer we avoided that, as it causes
> > compatibility problems.  If we can extend its list of valid values to
> > support this aspect as well, it would be good.
> 
> Iiuc the variable was introduced a short while ago on Emacs master, so
> renaming it may still be possible?

Oh, I think I confused it with another option.  Yes, if it was
introduced recently on master, we can rename it.